Purchase, cancellation, refund history per market
Get purchase history
Basics
Get the purchase history of an app for the given period.
| | Description |
| Request URL | https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list |
| Method | POST |
| HTTP Header | - Content-type: application/json
- Authorization: Bearer (Optional)
- You can use a Bearer token only if the Certification Flag at Hive Console AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info is set to Y.
- The Bearer token is the Certification Key at AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info.
|
| Response Format | JSON |
Request
| Name | Type | Required | Description |
| market | String | O | market name: google, apple, lebi, onestore, amazon, glaxystore, huawei, funtap, oppo, vivo, facebook, steam, hivestore (PG Payment) |
| appid | String | O | the appid of the app |
| startdate | String | O | the start date of the date range to be searched (example: 2023-07-10) |
| enddate | String | O | the end date of the date range to be searched (example: 2023-07-16, the maximum search range is 7 days including the startdate and the enddate) |
| transactionid | Array | X | - Only the purchase transactionids provided here will be the target of purchase history search (example: [ 'GPA.3383-2895-4485-57050', 'GPA.3381-4857-7750-97692' ])
- When provided with the playerids, the API will return only the results of the transactionids made by the playerids (the playerids and the transactionids are on AND condition).
- The maximum length of the array is 50.
|
| playerid | Array | X | - Only the purchase transactions made by the playerids provided here will be the target of purchase history search (example: [ '20000015911', '20000016015' ])
- When provided with the purchase transactionids, the API will return only the results of the transactionids made by the playerids (the transactionids and the playerids are on AND condition).
- The maximum length of the array is 100.
|
| page_token | String | X | - The maximum number of results per API response page is 100.
- To request the previous/next page, call API again using this token.
|
Response
| Name | Type | Required | Description |
| result_code | Integer | O | response code (20000: success) |
| result_message | String | O | the result message of the response code |
| data | Array | O | the response data |
| ㄴdate | String | O | the date that this API is called (example: 20230714) |
| ㄴplayerid | String | O | playerid (example: 20000015911) |
| ㄴpurchase_price | Integer | O | the price of the purchased goods (example: 10000) |
| ㄴpurchase_currency | String | O | the currency of the purchase (example: KRW, USD) |
| ㄴpurchase_date | String | O | the date of purchase (KST) |
| ㄴhiveiap_market_transaction_id | String | O | the purchase transactionid (example: GPA.3327-1260-4622-40400) |
| ㄴmarket | String | O | the market where the purchase occurred (example: APPLE, GOOGLE) |
| prev_page_token | String | X | the token of the previous page (not returned if the previous page does not exist) |
| next_page_token | String | X | the token of the next page (not returned if the next page does not exist) |
Request examples
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30"}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list
The example of using page_token
curl -L -v -d '{"page_token": "73U1mdaEvFRbJ5Zl/boHQY2Q3SQPJeWmKjO86UeLn4kDU72yzAfgmlciFvzTU6yaP0aZEGXTuRD2bLd9q48M+EVhm1glGZzHFj8MQvmQ1spuN9e0FzxczvWX27bDsObDGIJKb44Yg9GkMr6Aoq/Lrf855zKm20Z5+P9pJK8114iJZUHUhQT1E4LyrvdRvQCRlWl1Y8oHRAP4P4hsvwJO618K6/shJ86VqLbIs6bVW1w="}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list
The example of using transactionid
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","transactionid" : ["GPA.3343-6111-5443-03063","GPA.3354-3096-3913-84573"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list
The example of using playerid
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","playerid" : ["25647", "25645"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list
The example of using transactionid and playerid (AND condition)
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","transactionid" : ["GPA.3343-6111-5443-03063","GPA.3354-3096-3913-84573"],"playerid" : ["25647", "25645"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_purchase_list
> POST /api/creator/market_purchase_list HTTP/2
> Host: hiveiap-void.qpyou.cn
> User-Agent: curl/7.84.0
> Accept: */*
> Content-Type: application/json
> Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc
> Content-Length: 126
Response examples
< HTTP/2 200 OK
< Server: nginx
< Date: Fri, 14 Jul 2023 01:51:12 GMT
< Content-Type: application/json; charset=utf-8
< Transfer-Encoding: chunked
< Connection: close
<
* Closing connection 0
{"result_code":20000,"result_message":"Succeeded","data":[{"date":"20230530","playerid":"111111111","purchase_price":5500,"purchase_currency":"KRW","purchase_date":"2023-05-30 12:00:00","hiveiap_market_transaction_id":"gd123","market":"google"},{"date":"20230530","playerid":"111111111","purchase_price":5500,"purchase_currency":"KRW","purchase_date":"2023-05-30 12:00:00","hiveiap_market_transaction_id":"gd123","market":"google"},{"date":"20230530","playerid":"111111111","purchase_price":5500,"purchase_currency":"KRW","purchase_date":"2023-05-30 12:00:00","hiveiap_market_transaction_id":"gd123","market":"google"}]}
Get voided purchase·refund history
Get the voided purchase or the refund history of an app for the given period.
Basics
| | Description |
| URL | https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list |
| Method | POST |
| HTTP Header | - Content-type: application/json
- Authorization: Bearer (Optional)
- You can use a Bearer token only if the Certification Flag at Hive Console AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info is set to Y.
- The Bearer token is the Certification Key at AppCenter > Game Management > Game List: Select your company’s game > Game Details > Basic Info.
|
| Response Format | JSON |
Request
| Name | Type | Required | Description |
| market | String | O | market name: google, apple, onestore, amazon, huawei, steam, hivestore(PG Payment) |
| appid | String | O | the appid of the app |
| startdate | String | O | the start date of the date range to be searched (example: 2023-07-10) |
| enddate | String | O | the end date of the date range to be searched (example: 2023-07-16, the maximum search range is 7 days including the startdate and the enddate) |
| transactionid | Array | X | - Only the transactionids of the purchases that were voided or refunded will be the targets of voided purchase or refund history search (example: [ 'GPA.3383-2895-4485-57050', 'GPA.3381-4857-7750-97692' ])
- When provided with the playerids, the API will return only the results of the voided or refunded purchase transactionids made by the playerids (the playerids and the transactionids are on AND condition).
- The maximum length of the array is 50.
|
| playerId | Array | X | Only the voided or refunded purchase transactions made by the playerids will be the targets of voided purchase or refund history search (example: [ '20000015911', '20000016015' ]) When provided with the purchase transactionids, the API will return only the results of the voided or refunded purchase transactionids made by the playerids (the transactionids and the playerids are on AND condition). The maximum length of the array is 100. |
| page_token | String | X | - The maximum number of results per API response page is 100.
- To request the previous/next page, call API again using this token.
|
Response
| Name | Type | Required | Description |
| result_code | Integer | O | response code (20000: success) |
| result_message | String | O | the result message of the response code |
| data | Array | O | the response data |
| ㄴdate | String | O | the date that this API is called (example: 20230714) |
| ㄴplayerid | String | O | playerid (example: 20000015911) |
| ㄴvoided_purchase_date | String | O | the date of voiding·refund (KST) |
| ㄴpurchase_date | String | O | the date of purchase (KST) |
| ㄴhiveiap_market_transaction_id | String | O | the purchase transactionid (example: GPA.3327-1260-4622-40400) |
| ㄴmarket | String | O | the market where the purchase occurred (example: APPLE, GOOGLE) |
| prev_page_token | String | X | the token of the previous page (not returned if the previous page does not exist) |
| next_page_token | String | X | the next of the previous page (not returned if the next page does not exist) |
Request examples
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-06-21","enddate": "2023-06-27"}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list
The example of using page_token
curl -L -v -d '{"page_token": "73U1mdaEvFRbJ5Zl/boHQY2Q3SQPJeWmKjO86UeLn4kDU72yzAfgmlciFvzTU6yaP0aZEGXTuRD2bLd9q48M+EVhm1glGZzHFj8MQvmQ1spuN9e0FzxczvWX27bDsObDGIJKb44Yg9GkMr6Aoq/Lrf855zKm20Z5+P9pJK8114iJZUHUhQT1E4LyrvdRvQCRlWl1Y8oHRAP4P4hsvwJO618K6/shJ86VqLbIs6bVW1w="}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list
The example of using transactionid
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","transactionid" : ["GPA.3343-6111-5443-03063","GPA.3354-3096-3913-84573"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list
The example of using playerid
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","playerid" : ["25647", "25645"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list
The example of using transactionid and playerid (AND condition)
curl -L -v -d '{"market": "google", "appid": "com.com2us.hivesdk.normal.freefull.google.global.android.common","startdate": "2023-05-30","enddate": "2023-05-30","transactionid" : ["GPA.3343-6111-5443-03063","GPA.3354-3096-3913-84573"],"playerid" : ["25647", "25645"]}' -H "Content-Type: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc" https://hiveiap-void.qpyou.cn/api/creator/market_voided_purchase_list
> POST /api/creator/market_voided_purchase_list HTTP/2
> Host: hiveiap-void.qpyou.cn
> User-Agent: curl/7.84.0
> Accept: */*
> Content-Type: application/json
> Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAzNzc4OTU2LCJqdGkiOiIxODczMTExMzIwIn0.OxWo4R6UdI0BLP1ckt8RlMFrPAb5H7TNedmLFV1Cawc
> Content-Length: 126
Response examples
< HTTP/1.1 200 OK
< Server: nginx
< Date: Fri, 14 Jul 2023 01:46:52 GMT
< Content-Type: application/json; charset=utf-8
< Transfer-Encoding: chunked
< Connection: close
<
{"result_code":20000,"result_message":"Succeeded","data":[{"date":"20230622","playerid":"25645","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 10:24:43","hiveiap_market_transaction_id":"GPA.3343-6111-5443-03063","market":"google"},{"date":"20230622","playerid":"25647","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 10:19:56","hiveiap_market_transaction_id":"GPA.3354-3096-3913-84573","market":"google"},{"date":"20230622","playerid":"25647","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 10:20:13","hiveiap_market_transaction_id":"GPA.3352-3543-2561-74345","market":"google"},{"date":"20230622","playerid":"25646","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 10:27:07","hiveiap_market_transaction_id":"GPA.3373-8959-5490-84662","market":"google"},{"date":"20230622","playerid":"20000015910","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 11:10:34","hiveiap_market_transaction_id":"GPA.3344-8133-4125-27484","market":"google"},{"date":"20230622","playerid":"20000015911","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 11:16:19","hiveiap_market_transaction_id":"GPA.3380-9359-5107-68068","market":"google"},{"date":"20230622","playerid":"20000015911","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 11:16:28","hiveiap_market_transaction_id":"GPA.3327-1260-4622-40400","market":"google"},{"date":"20230622","playerid":"20000015903","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-06-22 11:21:26","hiveiap_market_transaction_id":"GPA.3345-5718-8100-76220","market":"google"},{"date":"20230622","playerid":"20000016015","voided_purchase_date":"2022-06-22 10:24:43","purchase_date":"2022-08-25 15:34:45","hiveiap_market_transaction_id":"GPA.3381-4857-7750-97692","market":"google"},{"date":"20230622","playerid":"20000015903","voided_purchase_date":"2022-09-26 12:36:14","purchase_date":"2022-09-06 20:18:42","hiveiap_market_transaction_id":"GPA.3354-3949-3274-33990","market":"google"},{"date":"20230622","playerid":"68261244","voided_purchase_date":"2022-10-24 15:08:16","purchase_date":"2022-10-24 13:04:28","hiveiap_market_transaction_id":"GPA.3362-7733-7126-48410","market":"google"},{"date":"20230622","playerid":"68261245","voided_purchase_date":"2022-10-24 15:08:16","purchase_date":"2022-10-24 13:08:43","hiveiap_market_transaction_id":"GPA.3389-6928-6486-44334","market":"google"},{"date":"20230622","playerid":"68261245","voided_purchase_date":"2022-10-24 15:08:16","purchase_date":"2022-10-24 13:08:53","hiveiap_market_transaction_id":"GPA.3340-6178-9215-37643","market":"google"},{"date":"20230622","playerid":"68261246","voided_purchase_date":"2022-10-24 15:08:16","purchase_date":"2022-10-24 13:13:14","hiveiap_market_transaction_id":"GPA.3310-2376-2428-34315","market":"google"},{"date":"20230622","playerid":"26908","voided_purchase_date":"2022-11-03 12:26:24","purchase_date":"2022-11-03 11:03:49","hiveiap_market_transaction_id":"GPA.3332-1770-9932-22016","market":"google"},{"date":"20230622","playerid":"20000017958","voided_purchase_date":"2022-12-28 18:00:00","purchase_date":"2022-12-28 18:21:05","hiveiap_market_transaction_id":"GPA.3380-0746-5400-99267","market":"google"},{"date":"20230622","playerid":"20000015911","voided_purchase_date":"2023-02-02 15:47:55","purchase_date":"2023-02-02 14:56:06","hiveiap_market_transaction_id":"GPA.3302-6734-9811-59555","market":"google"},{"date":"20230622","playerid":"25647","voided_purchase_date":"2023-02-02 15:47:55","purchase_date":"2023-02-02 15:33:51","hiveiap_market_transaction_id":"GPA.3308-0447-3039-63671","market":"google"},{"date":"20230622","playerid":"25646","voided_purchase_date":"2023-02-02 15:47:55","purchase_date":"2023-02-02 15:14:24","hiveiap_market_transaction_id":"GPA.3322-4622-9631-28260","market":"google"},{"date":"20230622","playerid":"25647","voided_purchase_date":"2023-02-02 15:47:55","purchase_date":"2023-02-02 15:33:22","hiveiap_market_transaction_id":"GPA.3343-5435-0468-97182","market":"google"
}],"next_page_token":"73U1mdaEvFRbJ5Zl\/boHQY2Q3SQPJeWmKjO86UeLn4kDU72yzAfgmlciFvzTU6yaP0aZEGXTuRD2bLd9q48M+EVhm1glGZzHFj8MQvmQ1spuN9e0FzxczvWX27bDsObDGIJKb44Yg9GkMr6Aoq\/Lrf855zKm20Z5+P9pJK8114irnVlbr8XNb0AmpWbYBxfNwgztBwQcFkQ\/euLTqm24RsV11WJfvxGzT1dyOFILlsU="}
Response codes
| response code | Description |
| 20000 | Success |
| 40000 | Error in Request |
| ㄴresult_message | - Empty Request
- Invalid json format
- Invalid request - appid
- Invalid request - api key
- Invalid request - enddate
- Invalid request - startdate
- Invalid request - page_token
|
| 50000 | Server Error |